%define major 1
%define libname %mklibname expat %{major}
%define devname %mklibname expat -d

Summary:	XML parser written in C
Name:		expat
Version:	2.1.1
Release:	1
License:	MPL
Group:		System/Libraries
Url:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/%{name}-%{version}.tar.bz2
Patch0:		expat-2.1.1-cve-2012-6702-plus-cve-2016-5300-v1.patch
Patch1:		expat-2.1.1-CVE-2015-1283-refix.patch
Patch2:		expat-CVE-2016-0718-v2-2-1.patch
BuildRequires:	libtool

%description
Expat is an XML 1.0 parser written in C by James Clark. It aims to be
fully conforming. It is currently not a validating XML parser.

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for expat
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
Development environment for the expat XML parser.

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std mandir=%{buildroot}%{_mandir}/man1

%check
make check


%changelog

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.1-1
- (72899fb) New version 2.1.1
- (72899fb) Add some security patches
- (72899fb) Update files (add expat_config.h to development package)


